com.fasterxml.jackson.dataformat.protobuf.schema

## Enum FileDescriptorSet.FieldDescriptorProto.Type

- java.lang.Object
- - java.lang.Enum<FileDescriptorSet.FieldDescriptorProto.Type>
  - - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FieldDescriptorProto.Type

- All Implemented Interfaces:
    Serializable, Comparable<FileDescriptorSet.FieldDescriptorProto.Type>
  Enclosing class:
    FileDescriptorSet.FieldDescriptorProto

      public static enum FileDescriptorSet.FieldDescriptorProto.Type
      extends Enum<FileDescriptorSet.FieldDescriptorProto.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_BOOL`
    `TYPE_BYTES`
    `TYPE_DOUBLE`
    `TYPE_ENUM`
    `TYPE_FIXED32`
    `TYPE_FIXED64`
    `TYPE_FLOAT`
    `TYPE_GROUP`
    `TYPE_INT32`
    `TYPE_INT64`
    `TYPE_MESSAGE`
    `TYPE_SFIXED32`
    `TYPE_SFIXED64`
    `TYPE_SINT32`
    `TYPE_SINT64`
    `TYPE_STRING`
    `TYPE_UINT32`
    `TYPE_UINT64`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileDescriptorSet.FieldDescriptorProto.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileDescriptorSet.FieldDescriptorProto.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_DOUBLE

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_DOUBLE

    - #### TYPE_FLOAT

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_FLOAT

    - #### TYPE_INT64

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_INT64

    - #### TYPE_UINT64

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_UINT64

    - #### TYPE_INT32

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_INT32

    - #### TYPE_FIXED64

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_FIXED64

    - #### TYPE_FIXED32

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_FIXED32

    - #### TYPE_BOOL

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_BOOL

    - #### TYPE_STRING

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_STRING

    - #### TYPE_GROUP

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_GROUP

    - #### TYPE_MESSAGE

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_MESSAGE

    - #### TYPE_BYTES

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_BYTES

    - #### TYPE_UINT32

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_UINT32

    - #### TYPE_ENUM

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_ENUM

    - #### TYPE_SFIXED32

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_SFIXED32

    - #### TYPE_SFIXED64

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_SFIXED64

    - #### TYPE_SINT32

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_SINT32

    - #### TYPE_SINT64

          public static final FileDescriptorSet.FieldDescriptorProto.Type TYPE_SINT64

  - ### Method Detail

    - #### values

          public static FileDescriptorSet.FieldDescriptorProto.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileDescriptorSet.FieldDescriptorProto.Type c : FileDescriptorSet.FieldDescriptorProto.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileDescriptorSet.FieldDescriptorProto.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 FasterXML. All rights reserved.